<!--
@license
Copyright (c) 2016 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE.txt
The complete set of authors may be found at http://polymer.github.io/AUTHORS.txt
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS.txt
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
-->

<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="../bower_components/paper-button/paper-button.html">
<link rel="import" href="../bower_components/iron-ajax/iron-ajax.html">
<link rel="import" href="shared-styles.html">

<dom-module id="dashboard-page">
  <template>
    <style include="shared-styles">
      :host {
        display: block;

        padding: 10px;
      }
       paper-button.indigo {
    background-color: var(--paper-indigo-500);
    color: white;
    --paper-button-raised-keyboard-focus: {
      background-color: var(--paper-pink-a200) !important;
      color: white !important;
    };
  }
  paper-button.indigo:hover {
    background-color: var(--paper-indigo-400);
  }
  paper-button.green {
    background-color: var(--paper-green-500);
    color: white;
  }
    </style>

    <div class="card">
    <h1 style="text-align:center">Hi! Welcome to the ING Banking world.</h1>  
    <div style="text-align:center">
    <paper-button raised class="indigo" on-tap="_accountSummary">Account Summary</paper-button>
    </div>
    </div>
  </template>

  <script>
    class Dashboard extends Polymer.Element {
      static get is() { return 'dashboard-page'; }
      _accountSummary(){
        window.location.href="/summary"
      }
    }

    window.customElements.define(Dashboard.is, Dashboard);
  </script>
</dom-module>
